<% try {
  /* need to make this lazy-load, but there was a  problem */
  const daysOfWeek = ['SUN','MON','TUE','WED','THU','FRI','SAT']
  const radioAffiliates = ['khtt','kbez','kvoo','kfaq','kxbl']
  const isRadio = radioAffiliates.some(rA => rA === affiliate)
  var _forecasts = typeof sevenDayForecast === 'object' ? sevenDayForecast : []
  var _metar = typeof metar === 'object' ? metar : {}
  %>
<div class='gnm-weather-block visible-xs-block row' >
  <div class='col-xs-12 no-side-pad'>
    <h5 class='title'>Current Weather</h5>
    <div class='zip'>
      <span class="gnm-zip-input-container"></span>
    </div>
   <div class='relative'>
    <img src="<%= affiliate === 'kwtv' ? '/img/david.png' : '/img/travis.png' %>" class='background lazy-load'/>
    <div class='forecast'  >
      <img src="<%= _metar.conditionIcon %>" class='icon lazy-load'/>
      <h3  class='temperature heavy'><%= _metar.temperature.value %><sup>&deg;</sup></h3>
      <div class='smallest-font grey heavy '>Feels Like <span class=' white heavy medium-font'><%= _metar.feels_like %><sup>&deg;</sup></span></div>
      <div class='white heavy medium-font'></div>
      <div>
        <span class='grey smallest-font'>High / Low  </span>
        <span class='heavy medium-font white'><%= _forecasts[0].temperature.max  %><sup>&deg;</sup></span>
        <span class='grey medium-font'> / <%= _forecasts[0].temperature.min %><sup>&deg;</sup></span>
      </div>
      <div>
        <span class='grey smallest-font'>Wind</span>
        <span class='white medium-font heavy'> <%= _metar.wind.dir %> / <%= _metar.wind.speed %>mph</span>
      </div>
      <div class='attribution'>
        <div class='smallest-font white'>CHIEF METEOROLOGIST</div>
        <div class='white largest-font tight all-caps'>
          <span class='heavy'><%= affiliate === 'kwtv' ? 'David' : 'Travis' %></span>
          <span> <%= affiliate === 'kwtv' ? 'Payne' : 'Meyer' %></span>
        </div>
      </div>
    </div>
   </div>
   <% _forecasts.slice(0,3).forEach(function(f,i,a){
     if(!f.daytime)
      return null
     let dayOfWeek = new Date(f.daytime.valid_begin).getDay()
     dayOfWeek = daysOfWeek[dayOfWeek]
     %>
     <a class='one-third' href="<%= isRadio ? 'https://www.newson6.com/weather' : '/weather' %>" key={i}>
       <div class='heavy all-caps white largest-font'><%= dayOfWeek %></div>
       <img src="<%= f.daytime.conditionIcon %>" class="lazy-load"/>
       <div class='heavy white largest-font'>
         <span ><%= f.temperature.max %><sup>&deg;</sup></span><span class='grey'>/ <%= f.temperature.min %><sup>&deg;</sup></span>
       </div>
     </a>
   <% }) %>
   <div class='half left'>
     <a class ='white heavy smallest-font' href="<%= isRadio ? 'https://www.newson6.com/weather' :'/weather' %>">View Full Forecast</a>
   </div>
   <div class='half right'>
     <a class='white heavy smallest-font' href="<%= this.isRadio ? "https://www.newson6.com/national-radar" : "/national-radar" %>" >View Radar Map</a>
   </div>
  </div>
</div>

<% } catch(e){ %>
<div class="gnm-weather-block"><%= JSON.stringify(e)%></div>
<% } %>
